Installer - Feature #32160

Enable pulp_ansible plugin for pulpcore on nightlies with installer

03/22/2021 04:26 PM - Samir Jha

Status: Closed

Priority: Normal

Assignee: Justin Sherrill

Category:

Target version: 25.0

Difficulty: Fixed in Releases:

Triaged: Yes Found in Releases:

Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for
eman_proxy_content/pull/343,
https://github.com/theforeman/puppet-kat
ello/pull/401,
https://github.com/theforeman/foreman-i
nstaller/pull/677,
https://github.com/theforeman/puppet-for
eman_proxy_content/pull/344

25.0

Description

Currently we package pulp_ansible python package so it's possible to do a yum install and restart pulpcore with the migrations

complete to enable pulp_ansible.

We would need this installation and configuration as described here https:/projects.theforeman.org/issues/31950 to be done as part

of the installer and enable pulp_ansible by default on fresh installs(and upgrades)

Related issues:
Has duplicate Installer - Feature #32348: support ansible_collections in kate...

Duplicate

Associated revisions

Revision 4c2faafa - 04/22/2021 08:39 PM - Justin Sherrill

Fixes #32160 - enable ansible collection content

Revision 447cff81 - 04/22/2021 08:39 PM - Justin Sherrill

Fixes #32160 - enable ansible content

Revision b29a4537 - 04/22/2021 08:40 PM - Justin Sherrill

Refs #32160 - alias param for ansible_collection support

History

#1 - 04/19/2021 03:36 PM - Justin Sherrill
- Has duplicate Feature #32348: support ansible_collections in katello & pulpcore added

#2 - 04/20/2021 01:37 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Justin Sherrill

- Pull request https://github.com/theforeman/puppet-foreman_proxy content/pull/343 added

#3 - 04/20/2021 05:13 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-katello/pull/401 added

#4 - 04/21/2021 01:55 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/677 added
https://projects.theforeman.org/issues/31950

#5 - 04/22/2021 05:01 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/344 added

#6 - 04/22/2021 08:39 PM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#7 - 04/22/2021 09:01 PM - Justin Sherrill
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-katello|4c2faafa8bee1106ef4e3c477e1efddeba86b9cd.

#8 - 05/06/2021 12:00 PM - Ewoud Kohl van Wijngaarden
- Target version set to 2.5.0

- Triaged changed from No to Yes
